# General-purpose Photovoltaic Device Model gpvdm.com - a drift diffusion
# base/Shockley-Read-Hall model for 1st, 2nd and 3rd generation solarcells.
# The model can simulate OLEDs, Perovskite cells, and OFETs.
# 
# Copyright (C) 2008-2020 Roderick C. I. MacKenzie
# All rights reserved.
# 
# https://www.gpvdm.com
# r.c.i.mackenzie at googlemail.com
# 
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of the GPVDM nor the
#       names of its contributors may be used to endorse or promote products
#       derived from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL Roderick C. I. MacKenzie BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


import os, fnmatch
import glob


def find_fit_log():
	pattern='fitlog.dat'
	path='../'
	result = []
	for root, dirs, files in os.walk(path):
		for name in files:
			if fnmatch.fnmatch(name, pattern):
				result.append(os.path.join(root, name))
	files=result
	string="plot "
	for my_file in files:
		 string=string+"'"+my_file+"' using ($2) with lp,"
	string = string[:-1]
	text_file = open("./plot/hpc_fitlog.plot", "w")
	text_file.write(string)
	text_file.close()

def return_file_list(result,start_dir,file_name):
	print start_dir, file_name
	pattern=file_name
	path=start_dir
	for root, dirs, files in os.walk(path):
		for name in files:
			if fnmatch.fnmatch(name, pattern):
				result.append(os.path.join(root, name))

	for i in range(0, len(result)):
		result[i]=result[i].rstrip()



def find_fits():
	pattern='plot_file.dat'
	path='./'
	result = []
	for root, dirs, files in os.walk(path):
		for name in files:
			if fnmatch.fnmatch(name, pattern):
				result.append(os.path.join(root, name))
	files=result
	string="plot \\"

	for my_file in files:
		f = open(my_file)
		lines = f.readlines()
		f.close()

		for i in range(0, len(lines)):
			string=string+'\n'+lines[i].rstrip()
	string = string[:-2]

	text_file = open("./plot/fit.plot", "w")
	text_file.write(string)
	text_file.close()

def find_fit_error():
	path='./'
	result = []
	string="plot \\\n"
	i=0
	for name in glob.glob('error_*exp*.dat'):
		i=i+1
		string=string+"'"+name+"' with lp lt "+str(i)+",\\\n"

	i=0
	for name in glob.glob('error_*sim*.dat'):
		i=i+1
		string=string+"'"+name+"' with lp lt "+str(i)+",\\\n"

	string = string[:-3]

	text_file = open("./plot/fit_errors.plot", "w")
	text_file.write(string)
	text_file.close()



