#ifndef pulse_voc_h
#define pulse_voc_h
#include "../../sim.h"

struct pulse_voc 
{
	double pulse_voc_dt;
	double pulse_voc_t0;
	double pulse_voc_t1;
	double pulse_voc_t2;
	double pulse_voc_Vexternal;
	int pulse_voc_repeat;
	double pulse_voc_laser_on;
	double pulse_voc_laser_width;
	double pulse_voc_laser_power;
	double pulse_voc_Vss;
	int pulse_voc_light;
	double pulse_voc_laser_eff;
	double pulse_voc_shift;
	int pulse_voc_use_big_mesh;
	double pulse_voc_bigmeshstart;
	double pulse_voc_bigmeshstop;
	double pulse_voc_bigdt;
	double Rshort_pulse_voc;
	double pulse_voc_light_bias;
};

void newton_sim_pulse_voc(struct device *in);
void sim_pulse_voc(struct device *in);
extern struct pulse_voc pulse_voc_config;
void pulse_voc_load_config(struct pulse_voc *in,struct device *dev);
void newton_aux_pulse_voc(struct device *in,double V,double* i,double* didv,double* didphi,double* didxil,double* didxipl,double* didphir,double* didxir,double* didxipr);
double newton_pulse_voc(struct device *in,int usecap);

#endif
